/* 3 functions to convert between RGB colors and the corresponding xterm-256 values
 * Wolfgang Frisch, xororand@frexx.de */

#ifndef __CONV_H
#define __CONV_H

// read a hex-rgb-color like "CCAABB"
// output are 3 unsigned chars
// returns 0 on failure and 1 on success
int readcolor(const char* rgb_string, unsigned char* output);

// convert an xterm color value (0-253) to 3 unsigned chars rgb
void xterm2rgb(unsigned char color, unsigned char* rgb);

// selects the nearest xterm color for a 3xBYTE rgb value
unsigned char rgb2xterm(unsigned char* rgb);

#endif
